# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "scx_stats_derive"
version = "1.1.1"
authors = ["Tejun Heo <tj@kernel.org>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Derive macro for scx_stats"
readme = "README.md"
license = "GPL-2.0-only"
repository = "https://github.com/sched-ext/scx"

[lib]
name = "scx_stats_derive"
path = "src/lib.rs"
proc-macro = true

[dependencies.proc-macro2]
version = "1"

[dependencies.quote]
version = "1"

[dependencies.scx_stats]
version = "1.1.1"

[dependencies.serde_json]
version = "1"

[dependencies.syn]
version = "2"
features = [
    "extra-traits",
    "full",
]

[lints.clippy]
not_unsafe_ptr_arg_deref = "allow"
